Bug 1458567 - nm-connection-editor crashes when editing an Ethernet connection with 802.1X security
Summary: nm-connection-editor crashes when editing an Ethernet connection with 802.1X ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: network-manager-applet
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-04 12:56 UTC by Beniamino Galvani
Modified: 2017-08-01 09:28 UTC (History)
3 users (show)

Fixed In Version: network-manager-applet-1.8.0-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:28:57 UTC


Attachments (Terms of Use)
[PATCH] editor: fix crash when destroying 802.1x page (4.14 KB, patch)
2017-06-04 13:06 UTC, Beniamino Galvani
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC

Description Beniamino Galvani 2017-06-04 12:56:46 UTC
Description of problem:
nm-connection-editor crashes when editing an Ethernet connection with 802.1X security

Version-Release number of selected component (if applicable):
nm-connection-editor-1.8.0-0.1.git20170326.f260f8a.el7

How reproducible:
80%

Steps to Reproduce:
1. Edit or create a new Ethernet connection
2. Select MD5 or PWD EAP method in the 802.1X security page
3. Save the connection

Actual results:
Segmentation fault

Comment 2 Beniamino Galvani 2017-06-04 13:06:18 UTC
Created attachment 1284745 [details]
[PATCH] editor: fix crash when destroying 802.1x page

Comment 3 Thomas Haller 2017-06-06 10:05:05 UTC
lgtm

Comment 5 Pavlin Georgiev 2017-06-14 14:54:52 UTC
TEST SETUP
On VM running under RHEL 7.4 Workstation x86_64 with GNOME desktop environment.
Component version: 
network-manager-applet-1.8.0-3.el7


TEST PROCEDURE
Log in to GNOME session.
Start nm-connection-editor.
Add a new connection of type Ethernet.
Assign a network device to that connection.
Use network authentication via IEEE 802.1x, MD5, username and password.
The bug in not present.


RESULTS
Upgrading the component: network-manager-applet
    from version: 1.8.0-0.1.git20170326.f260f8a.el7
      to version: 1.8.0-3.el7
has fixed the bug.

Comment 6 errata-xmlrpc 2017-08-01 09:28:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.